Page MenuHomeFreeBSD

Make linux(4) handle TCP_CORK
ClosedPublic

Authored by trasz on Jan 14 2020, 12:11 PM.

Details

Summary

Add TCP_CORK support to linux(4). This fixes one of the things Nginx trips over.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz created this revision.Jan 14 2020, 12:11 PM
trasz edited the summary of this revision. (Show Details)Jan 14 2020, 12:11 PM
trasz added reviewers: Linux Emulation, dchagin, emaste, kib.
aleksandr.fedorov_itglobal.com added inline comments.
sys/compat/linux/linux_socket.c
244 ↗(On Diff #66735)

Is this correct? It seems that linux TCP_CORK works more like FreeBSD TCP_NOPUSH.

trasz added a comment.Jan 16 2020, 3:14 PM

(NB: kern/24959)

trasz updated this revision to Diff 66901.Jan 17 2020, 11:09 AM

Fix thinko pointed out by Alexander.

trasz added a reviewer: jhb.Jan 17 2020, 11:10 AM
trasz marked an inline comment as done.Jan 17 2020, 2:15 PM
trasz added a comment.Jan 27 2020, 3:37 PM

Tinderboxed.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 28 2020, 1:57 PM
This revision was automatically updated to reflect the committed changes.